package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_CRACK_SAMPLE_TYPE所对应的实体类（生成工具：代码生成器3.0）
 * @author XiaTian1009   date 2020-12-12
 */
public class HttCrackSampleTypeEntity implements java.io.Serializable {
    /**
     * 类型ID
     */
    private String typeNo = "";
    /**
     * 产品规格
     */
    private String specName = "";
    /**
     * 探伤类型
     */
    private String testingType = "";
    /**
     * 探伤级别
     */
    private String testingLevel = "";
    /**
     * 槽长
     */
    private String notchLength = "";
    /**
     * 槽宽
     */
    private String notchWidth = "";
    /**
     * 槽深
     */
    private String notchDepth = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * 类型ID
     * @return value
     */
    public String getTypeNo() {
        return typeNo;
    }

    /**
     * 类型ID
     * @param typeNo value
     */
    public void setTypeNo(String typeNo) {
        this.typeNo = typeNo;
    }

    /**
     * 产品规格
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 探伤类型
     * @return value
     */
    public String getTestingType() {
        return testingType;
    }

    /**
     * 探伤类型
     * @param testingType value
     */
    public void setTestingType(String testingType) {
        this.testingType = testingType;
    }

    /**
     * 探伤级别
     * @return value
     */
    public String getTestingLevel() {
        return testingLevel;
    }

    /**
     * 探伤级别
     * @param testingLevel value
     */
    public void setTestingLevel(String testingLevel) {
        this.testingLevel = testingLevel;
    }

    /**
     * 槽长
     * @return value
     */
    public String getNotchLength() {
        return notchLength;
    }

    /**
     * 槽长
     * @param notchLength value
     */
    public void setNotchLength(String notchLength) {
        this.notchLength = notchLength;
    }

    /**
     * 槽宽
     * @return value
     */
    public String getNotchWidth() {
        return notchWidth;
    }

    /**
     * 槽宽
     * @param notchWidth value
     */
    public void setNotchWidth(String notchWidth) {
        this.notchWidth = notchWidth;
    }

    /**
     * 槽深
     * @return value
     */
    public String getNotchDepth() {
        return notchDepth;
    }

    /**
     * 槽深
     * @param notchDepth value
     */
    public void setNotchDepth(String notchDepth) {
        this.notchDepth = notchDepth;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
